Subject: Re: bug#73425: 31.0.50; Support images in HTML versions of ELPA package manuals

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Apr 2025 10:12:41 -0400

> So currently the way we include images in kubed.texi is as follows:
>
> --8<---------------cut here---------------start------------->8---
> @ifhtml
> @float
> @image{/assets/kubed-overview,,,Image: Four different kinds of Kubed buffers in Emacs,.png}
> @caption{Pods, logs, shells, YAMLs, all in one integrated interface}
> @end float
> @end ifhtml
> --8<---------------cut here---------------end--------------->8---
>
> This refers to https://eshelyaron.com/assets/kubed-overview.png

Ah, so it's something "personal", nice, thanks.  I thought it could be
some "standard convention" used on some system somewhere.

> I'd love to change these references to relative paths so they also work
> on the ELPA server,

I guess our scripts could be told to strip away the "/assets/" part.
I'll think about it.

> but I'm still not sure how to do that: we provide
> the manual at https://eshelyaron.com/kubed.html (all nodes in one page)
> and at https://eshelyaron.com/man/kubed/ (each node in a separate page).
> The image references need to work from these two different locations.

If you change those to

    https://eshelyaron.com/man/kubed/

and

    https://eshelyaron.com/kubed/singlepage.html

then relative file names should work fine, right?
[ Obviously, it comes with its own problems.  ]

        Stefan